;;; NPEI.LSP Version 4.0
;;; Copyright (c) 1987-94 Ness Point Enterprises Incorporated
;;; 219 Rundleson Place NE., Calgary, Alberta, Canada. T1Y 3J6
;;; (403) 285-8767
;;; 
;;; This file first loads the NPEIBASE.LSP common functions file. 
;;; You can add your own functions to the list and have them loaded as well.
;;;
;;; The common functions file saves resources, cutting down the size
;;; of each function by avoiding repeated code. The function calls are
;;; documented in the text and help files. You can call them and use
;;; the returned variables. As new functions are added you will be
;;; sent updates. 
;;; 
;;; You can skip loading a function by inserting a semi colon as the
;;; first character of the line loading the function.
;;;
;;; This file can also be loaded by ACAD.LSP by inserting the line...
;;; (load "npei")
;;; 
;;; Load NPEI common functions NPEIBASE.LSP, if its not found, exit.
(if (/= (findfile "npeibase.lsp") nil)
  (princ (load "npeibase" "\nNPEIBASE.LSP load error, Please call for support"))
  (progn
    (prompt "\nCommon functions file NPEIBASE.LSP not found - Load aborted")
    (exit)
) )
;;; DO NOT CHANGE ANYTHING ABOVE THIS LINE
;;;
;;; Load NPEI code:
(princ (load "ccone" "\nCCONE Load error"))
(princ (load "mkblk" "\nMKBLK Load error"))
(princ (load "renblk" "\nRENBLK Load error"))
(princ (load "rdfblk" "\nRDFBLK Load error"))
(princ (load "writeblk" "\nWRITEBLK Load error"))
(princ (load "slot" "\nSLOT Load error"))
(princ (load "tancc" "\nTANCC load error"))
(princ (load "tancl" "\nTANCL load error"))
(princ (load "qline" "\nQLINE load error"))
(princ (load "bcyl" "\nBCYL load error"))
(princ (load "flange" "\nFLANGE load error"))
(princ (load "cmove" "\nCMOVE Load error"))
(princ (load "setup_i" "\nSETUP_I Load error"))
(princ (load "brkint" "\nBRKINT Load error"))
(princ (load "arcjmp" "\nARCJMP Load error"))
(princ (load "cline" "\nCLINE Load error"))
(princ (load "cends" "\nCENDS Load error"))
(princ (load "ccdia" "\nCCDIA Load error"))
(princ (load "chglyr" "\nCHGLYR Load error"))
(princ (load "chglt" "\nCGHLT Load error"))
(princ (load "setlyr" "\nSETLYR Load error"))
(princ (load "frzlyr" "\nFRZLYR Load error"))
(princ (load "erslyr" "\nERSLYR Load error"))   
(princ (load "purgeblk" "\nPURGEBLK Load error"))   
;;;
;;; You can add any other functions to load below here
;;; Change my-func to the function name and delete the semi colon.
;;;
;
;(princ (load "my-func" "\nMY-FUNC load error"))
;(princ (load "my-func" "\nMY-FUNC load error"))
;(princ (load "my-func" "\nMY-FUNC load error"))
;(princ (load "my-func" "\nMY-FUNC load error"))
;(princ (load "my-func" "\nMY-FUNC load error"))
(prompt "\nNPEILOAD completed.")
(princ)

